summaryrefslogtreecommitdiffstats
path: root/samples/oldlynx
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:37:15 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:37:15 +0000
commitae5d181b854d3ccb373b6bc01b4869e44ff4d87a (patch)
tree91f59efb48c56a84cc798e012fccb667b63d3fee /samples/oldlynx
parentInitial commit. (diff)
downloadlynx-ae5d181b854d3ccb373b6bc01b4869e44ff4d87a.tar.xz
lynx-ae5d181b854d3ccb373b6bc01b4869e44ff4d87a.zip
Adding upstream version 2.9.0dev.12.upstream/2.9.0dev.12upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'samples/oldlynx')
-rwxr-xr-xsamples/oldlynx24
1 files changed, 24 insertions, 0 deletions
diff --git a/samples/oldlynx b/samples/oldlynx
new file mode 100755
index 0000000..79721b1
--- /dev/null
+++ b/samples/oldlynx
@@ -0,0 +1,24 @@
+#!/bin/sh
+# invoke lynx built with color-style, overriding the color options to use the
+# non-color-style scheme -TD
+
+my_cfg=${TMPDIR:-/tmp}/lynxcfg$$
+my_lss=${TMPDIR:-/tmp}/lynxlss$$
+trap "rm -f $my_lss $my_cfg" 0 1 2 5 15
+
+echo >$my_lss
+
+rm -f "$my_cfg"
+echo "DEFAULT_COLORS:off" >>$my_cfg
+if test -n "$LYNX_CFG" ; then
+ echo "include:$LYNX_CFG" >>$my_cfg
+fi
+echo "COLOR_STYLE:" >>$my_cfg
+echo "NESTED_TABLES:off" >>$my_cfg
+
+LYNX_CFG=$my_cfg
+export LYNX_CFG
+LYNX_LSS=$my_lss
+export LYNX_LSS
+
+${LYNX_PROG-lynx} "$@"